"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getContext;

var _createGenerateClassName2 = _interopRequireDefault(require("@material-ui/core/styles/createGenerateClassName"));

var _SheetsRegistry2 = _interopRequireDefault(require("jss/lib/SheetsRegistry"));

var _createMuiTheme2 = _interopRequireDefault(require("@material-ui/core/styles/createMuiTheme"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createContext(themeObj) {
  return {
    theme: (0, _createMuiTheme2.default)(themeObj),
    // eslint-disable-next-line no-undef
    sheetsManager: new Map(),
    // This is needed in order to inject the critical CSS.
    sheetsRegistry: new _SheetsRegistry2.default(),
    // The standard class name generator.
    generateClassName: (0, _createGenerateClassName2.default)()
  };
}

var pageContext;

function getContext(themeObj) {
  // Make sure to create a new store for every server-side request so that data
  // isn't shared between connections (which would be bad)
  if (!process.browser) {
    return createContext(themeObj);
  } // Reuse context on the client-side


  if (!pageContext) {
    pageContext = createContext(themeObj);
  }

  return pageContext;
}

module.exports = exports.default;